CVE-2015-5307

Bug #1513540 reported by Steve Beattie on 2015-11-05
256
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-armadaxp (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-ec2 (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-flo (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-fsl-imx51 (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-goldfish (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-lts-backport-maverick (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Vivid
Undecided
Unassigned
Wily
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
linux-lts-backport-natty (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Vivid
Undecided
Unassigned
Wily
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
linux-lts-quantal (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-lts-raring (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-lts-saucy (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-lts-trusty (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-lts-utopic (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-lts-vivid (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-lts-wily (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-lts-xenial (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
Undecided
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-mako (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-manta (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-mvl-dove (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-raspi2 (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-snapdragon (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
Undecided
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
linux-ti-omap4 (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned

Bug Description

The KVM subsystem in the Linux kernel through 4.2.6, and Xen 4.3.x through 4.6.x, allows guest OS users to cause a denial of service (host OS panic or hang) by triggering many #AC (aka Alignment Check) exceptions, related to svm.c and vmx.c.

Break-Fix: - 54a20552e1eae07aa240fa370a0293e006b5faed

Steve Beattie (sbeattie) wrote :

CVE-2015-5307

information type: Public → Private
summary: - CVE-YYYY-NNNN
+ CVE-2015-5307
tags: added: kernel-cve-tracking-bug
information type: Private → Private Security
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-94.134

---------------
linux (3.2.0-94.134) precise; urgency=low

  [ Upstream Kernel Changes ]

  * KVM: x86: vmx: avoid guest->host DOS by intercepting #AC
    - LP: #1513540
    - CVE-2015-5307

 -- Luis Henriques <email address hidden> Thu, 05 Nov 2015 17:29:39 +0000

Changed in linux (Ubuntu Precise):
status: New → Fix Released
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.13.0-68.111

---------------
linux (3.13.0-68.111) trusty; urgency=low

  [ Upstream Kernel Changes ]

  * KVM: x86: vmx: avoid guest->host DOS by intercepting #AC
    - LP: #1513540
    - CVE-2015-5307

 -- Luis Henriques <email address hidden> Thu, 05 Nov 2015 16:30:27 +0000

Changed in linux (Ubuntu Trusty):
status: New → Fix Released
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.19.0-33.38

---------------
linux (3.19.0-33.38) vivid; urgency=low

  [ Upstream Kernel Changes ]

  * KVM: x86: vmx: avoid guest->host DOS by intercepting #AC
    - LP: #1513540
    - CVE-2015-5307

 -- Luis Henriques <email address hidden> Thu, 05 Nov 2015 18:53:12 +0000

Changed in linux (Ubuntu Vivid):
status: New → Fix Released
status: New → Fix Released
Changed in linux (Ubuntu Wily):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.2.0-18.22

---------------
linux (4.2.0-18.22) wily; urgency=low

  [ Upstream Kernel Changes ]

  * KVM: x86: vmx: avoid guest->host DOS by intercepting #AC
    - LP: #1513540
    - CVE-2015-5307

 -- Luis Henriques <email address hidden> Thu, 05 Nov 2015 21:31:53 +0000

Changed in linux (Ubuntu Wily):
status: New → Fix Released
Steve Beattie (sbeattie) on 2015-11-10
information type: Private Security → Public Security
Steve Beattie (sbeattie) on 2015-11-10
Changed in linux-lts-trusty (Ubuntu Precise):
status: New → Fix Released
Changed in linux-lts-trusty (Ubuntu Wily):
status: New → Invalid
Changed in linux-lts-trusty (Ubuntu Xenial):
status: New → Invalid
Changed in linux-lts-trusty (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-trusty (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-wily (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-wily (Ubuntu Wily):
status: New → Invalid
Changed in linux-lts-wily (Ubuntu Xenial):
status: New → Invalid
Changed in linux-lts-wily (Ubuntu Trusty):
status: New → Fix Released
Changed in linux-lts-wily (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Wily):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Xenial):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Vivid):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Wily):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Xenial):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Trusty):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Wily):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Xenial):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu Vivid):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Wily):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Xenial):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Trusty):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Vivid):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Precise):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Wily):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Xenial):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Trusty):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Wily):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Xenial):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Vivid):
status: New → Invalid
Changed in linux-manta (Ubuntu Precise):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Precise):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Wily):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Xenial):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Trusty):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-vivid (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-vivid (Ubuntu Wily):
status: New → Invalid
Changed in linux-lts-vivid (Ubuntu Xenial):
status: New → Invalid
Changed in linux-lts-vivid (Ubuntu Trusty):
status: New → Fix Released
Changed in linux-lts-vivid (Ubuntu Vivid):
status: New → Invalid
Changed in linux-raspi2 (Ubuntu Precise):
status: New → Invalid
Changed in linux-raspi2 (Ubuntu Trusty):
status: New → Invalid
Changed in linux-raspi2 (Ubuntu Vivid):
status: New → Invalid
Changed in linux-mako (Ubuntu Precise):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Precise):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Wily):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Xenial):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Trusty):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Vivid):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Wily):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Xenial):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → Fix Released
Changed in linux-lts-utopic (Ubuntu Vivid):
status: New → Invalid
Changed in linux-goldfish (Ubuntu Precise):
status: New → Invalid
Changed in linux-flo (Ubuntu Precise):
status: New → Invalid
description: updated
Changed in linux-lts-trusty (Ubuntu Precise):
importance: Undecided → High
Changed in linux-lts-trusty (Ubuntu Wily):
importance: Undecided → High
Changed in linux-lts-trusty (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-lts-trusty (Ubuntu Trusty):
importance: Undecided → High
Changed in linux-lts-trusty (Ubuntu Vivid):
importance: Undecided → High
Changed in linux-lts-wily (Ubuntu Precise):
importance: Undecided → High
Changed in linux-lts-wily (Ubuntu Wily):
importance: Undecided → High
Changed in linux-lts-wily (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-lts-wily (Ubuntu Trusty):
importance: Undecided → High
Changed in linux-lts-wily (Ubuntu Vivid):
importance: Undecided → High
Changed in linux-lts-quantal (Ubuntu Precise):
importance: Undecided → High
Changed in linux-lts-quantal (Ubuntu Wily):
importance: Undecided → High
Changed in linux-lts-quantal (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-lts-quantal (Ubuntu Trusty):
importance: Undecided → High
Changed in linux-lts-quantal (Ubuntu Vivid):
importance: Undecided → High
Changed in linux (Ubuntu Precise):
importance: Undecided → High
Changed in linux (Ubuntu Wily):
importance: Undecided → High
Changed in linux (Ubuntu Xenial):
importance: Undecided → High
Changed in linux (Ubuntu Trusty):
importance: Undecided → High
Changed in linux (Ubuntu Vivid):
importance: Undecided → High
Changed in linux-ti-omap4 (Ubuntu Precise):
importance: Undecided → High
Changed in linux-ti-omap4 (Ubuntu Wily):
importance: Undecided → High
Changed in linux-ti-omap4 (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-ti-omap4 (Ubuntu Trusty):
importance: Undecided → High
Changed in linux-ti-omap4 (Ubuntu Vivid):
importance: Undecided → High
Changed in linux-lts-raring (Ubuntu Precise):
status: New → Invalid
importance: Undecided → High
Changed in linux-lts-raring (Ubuntu Wily):
importance: Undecided → High
Changed in linux-lts-raring (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-lts-raring (Ubuntu Trusty):
importance: Undecided → High
Changed in linux-lts-raring (Ubuntu Vivid):
importance: Undecided → High
Changed in linux-armadaxp (Ubuntu Precise):
importance: Undecided → High
Changed in linux-armadaxp (Ubuntu Wily):
importance: Undecided → High
Changed in linux-armadaxp (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-armadaxp (Ubuntu Trusty):
importance: Undecided → High
Changed in linux-armadaxp (Ubuntu Vivid):
importance: Undecided → High
Changed in linux-mvl-dove (Ubuntu Precise):
importance: Undecided → High
Changed in linux-mvl-dove (Ubuntu Wily):
importance: Undecided → High
Changed in linux-mvl-dove (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-mvl-dove (Ubuntu Trusty):
importance: Undecided → High
Changed in linux-mvl-dove (Ubuntu Vivid):
importance: Undecided → High
Steve Beattie (sbeattie) on 2015-11-10
Changed in linux-lts-saucy (Ubuntu Precise):
importance: Undecided → High
Changed in linux-lts-saucy (Ubuntu Wily):
importance: Undecided → High
Changed in linux-lts-saucy (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-lts-saucy (Ubuntu Trusty):
importance: Undecided → High
Changed in linux-lts-saucy (Ubuntu Vivid):
importance: Undecided → High
Changed in linux-manta (Ubuntu Precise):
importance: Undecided → High
Changed in linux-manta (Ubuntu Wily):
importance: Undecided → High
Changed in linux-manta (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-manta (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → High
Changed in linux-manta (Ubuntu Vivid):
importance: Undecided → High
Changed in linux-ec2 (Ubuntu Precise):
importance: Undecided → High
Changed in linux-ec2 (Ubuntu Wily):
importance: Undecided → High
Changed in linux-ec2 (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-ec2 (Ubuntu Trusty):
importance: Undecided → High
Changed in linux-ec2 (Ubuntu Vivid):
importance: Undecided → High
Changed in linux-lts-vivid (Ubuntu Precise):
importance: Undecided → High
Changed in linux-lts-vivid (Ubuntu Wily):
importance: Undecided → High
Changed in linux-lts-vivid (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-lts-vivid (Ubuntu Trusty):
importance: Undecided → High
Changed in linux-lts-vivid (Ubuntu Vivid):
importance: Undecided → High
Changed in linux-raspi2 (Ubuntu Precise):
importance: Undecided → High
Changed in linux-raspi2 (Ubuntu Wily):
importance: Undecided → High
Changed in linux-raspi2 (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-raspi2 (Ubuntu Trusty):
importance: Undecided → High
Changed in linux-raspi2 (Ubuntu Vivid):
importance: Undecided → High
Changed in linux-mako (Ubuntu Precise):
importance: Undecided → High
Changed in linux-mako (Ubuntu Wily):
importance: Undecided → High
Changed in linux-mako (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-mako (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → High
Changed in linux-mako (Ubuntu Vivid):
importance: Undecided → High
Changed in linux-fsl-imx51 (Ubuntu Precise):
importance: Undecided → High
Changed in linux-fsl-imx51 (Ubuntu Wily):
importance: Undecided → High
Changed in linux-fsl-imx51 (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-fsl-imx51 (Ubuntu Trusty):
importance: Undecided → High
Changed in linux-fsl-imx51 (Ubuntu Vivid):
importance: Undecided → High
Changed in linux-lts-utopic (Ubuntu Precise):
importance: Undecided → High
Changed in linux-lts-utopic (Ubuntu Wily):
importance: Undecided → High
Changed in linux-lts-utopic (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-lts-utopic (Ubuntu Trusty):
importance: Undecided → High
Changed in linux-lts-utopic (Ubuntu Vivid):
importance: Undecided → High
Changed in linux-goldfish (Ubuntu Precise):
importance: Undecided → High
Changed in linux-goldfish (Ubuntu Wily):
importance: Undecided → High
Changed in linux-goldfish (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-goldfish (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → High
Changed in linux-goldfish (Ubuntu Vivid):
importance: Undecided → High
Changed in linux-flo (Ubuntu Precise):
importance: Undecided → High
Changed in linux-flo (Ubuntu Wily):
importance: Undecided → High
Changed in linux-flo (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-flo (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → High
Changed in linux-flo (Ubuntu Vivid):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :
Download full text (32.9 KiB)

This bug was fixed in the package linux - 4.2.0-19.23

---------------
linux (4.2.0-19.23) wily; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1515157

  [ Andy Whitcroft ]

  * [Config] re-enable OSS support and blacklist
    - LP: #1434842

  [ dann frazier ]

  * Revert "[Config] CONFIG_ARM64_ERRATUM_843419=n"
    - LP: #1502946

  [ Paolo Pisati ]

  * [SRU] [Config] armhf: LEDS_TRIGGER_HEARTBEAT=y
    - LP: #1510165

  [ Tim Gardner ]

  * [Config] Add iscsi_ibft and iscsi_boot_sysfs to generic inclusion list
    - LP: #1511006
  * [Config] CONFIG_AUFS_EXPORT=y
    - LP: #1121699

  [ Upstream Kernel Changes ]

  * Revert "KVM: x86: apply guest MTRR virtualization on host reserved
    pages"
    - LP: #1509886
  * Revert "KVM: SVM: use NPT page attributes"
    - LP: #1509886
  * Revert "KVM: SVM: Sync g_pat with guest-written PAT value"
    - LP: #1509886
  * Revert "cgroup: simplify threadgroup locking"
    - LP: #1509886
  * Revert "sched, cgroup: replace signal_struct->group_rwsem with a global
    percpu_rwsem"
    - LP: #1509886
  * Revert "ARM64: unwind: Fix PC calculation"
    - LP: #1514889
  * Revert "serial: 8250_dma: don't bother DMA with small transfers"
    - LP: #1514889
  * Revert "md: allow a partially recovered device to be hot-added to an
    array."
    - LP: #1514889
  * arm64: Change memcpy in kernel to use the copy template file
    - LP: #1508471
  * arm64: copy_to-from-in_user optimization using copy template
    - LP: #1508471
  * Input: elan_i2c - enable ELAN0600 acpi panels
    - LP: #1439111
  * e1000e: Fix tight loop implementation of systime read algorithm
  * arm: KVM: Fix incorrect device to IPA mapping
    - LP: #1509886
  * KVM: vmx: fix VPID is 0000H in non-root operation
    - LP: #1509886
  * kvm: don't try to register to KVM_FAST_MMIO_BUS for non mmio eventfd
    - LP: #1509886
  * kvm: fix zero length mmio searching
    - LP: #1509886
  * kvm: factor out core eventfd assign/deassign logic
    - LP: #1509886
  * kvm: fix double free for fast mmio eventfd
    - LP: #1509886
  * arm: KVM: Disable virtual timer even if the guest is not using it
    - LP: #1509886
  * kvm: svm: reset mmu on VCPU reset
    - LP: #1509886
  * KVM: x86: trap AMD MSRs for the TSeg base and mask
    - LP: #1509886
  * KVM: PPC: Book3S: Take the kvm->srcu lock in
    kvmppc_h_logical_ci_load/store()
    - LP: #1509886
  * KVM: PPC: Book3S HV: Pass the correct trap argument to
    kvmhv_commence_exit
    - LP: #1509886
  * time: Fix timekeeping_freqadjust()'s incorrect use of abs() instead of
    abs64()
    - LP: #1509886
  * target/iscsi: Fix np_ip bracket issue by removing np_ip
    - LP: #1509886
  * scsi: fix scsi_error_handler vs. scsi_host_dev_release race
    - LP: #1509886
  * target: Attach EXTENDED_COPY local I/O descriptors to xcopy_pt_sess
    - LP: #1509886
  * target: Fix PR registration + APTPL RCU conversion regression
    - LP: #1509886
  * iser-target: remove command with state ISTATE_REMOVE
    - LP: #1509886
  * iser-target: Put the reference on commands waiting for unsol data
    - LP: #1509886
  * toshiba_acpi: Fix hotkeys registration on some toshiba models
    - LP: #1509886
  *...

Changed in linux (Ubuntu Xenial):
status: New → Fix Released
Steve Beattie (sbeattie) on 2015-11-16
Changed in linux-ti-omap4 (Ubuntu Precise):
status: New → Invalid
Changed in linux-manta (Ubuntu Wily):
status: New → Invalid
Changed in linux-manta (Ubuntu Xenial):
status: New → Invalid
Changed in linux-manta (Ubuntu Vivid):
status: New → Invalid
Changed in linux-raspi2 (Ubuntu Wily):
status: New → Invalid
Changed in linux-raspi2 (Ubuntu Xenial):
status: New → Invalid
Changed in linux-mako (Ubuntu Wily):
status: New → Invalid
Changed in linux-mako (Ubuntu Xenial):
status: New → Invalid
Changed in linux-mako (Ubuntu Vivid):
status: New → Invalid
Changed in linux-flo (Ubuntu Wily):
status: New → Invalid
Changed in linux-flo (Ubuntu Xenial):
status: New → Invalid
Changed in linux-flo (Ubuntu Vivid):
status: New → Invalid
Steve Beattie (sbeattie) on 2015-11-19
description: updated
Steve Beattie (sbeattie) on 2015-11-24
description: updated
Steve Beattie (sbeattie) on 2015-11-25
Changed in linux-lts-quantal (Ubuntu Precise):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-saucy (Ubuntu Precise):
status: New → Invalid
description: updated
Steve Beattie (sbeattie) on 2015-11-27
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (33.1 KiB)

This bug was fixed in the package linux-raspi2 - 4.2.0-1015.22

---------------
linux-raspi2 (4.2.0-1015.22) wily; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1515537
  * rebased on Ubuntu-4.2.0-19.23

  [ Ubuntu: 4.2.0-19.23 ]

  * Release Tracking Bug
    - LP: #1515157
  * [Config] re-enable OSS support and blacklist
    - LP: #1434842
  * Revert "[Config] CONFIG_ARM64_ERRATUM_843419=n"
    - LP: #1502946
  * [SRU] [Config] armhf: LEDS_TRIGGER_HEARTBEAT=y
    - LP: #1510165
  * [Config] Add iscsi_ibft and iscsi_boot_sysfs to generic inclusion list
    - LP: #1511006
  * [Config] CONFIG_AUFS_EXPORT=y
    - LP: #1121699
  * Revert "KVM: x86: apply guest MTRR virtualization on host reserved
    pages"
    - LP: #1509886
  * Revert "KVM: SVM: use NPT page attributes"
    - LP: #1509886
  * Revert "KVM: SVM: Sync g_pat with guest-written PAT value"
    - LP: #1509886
  * Revert "cgroup: simplify threadgroup locking"
    - LP: #1509886
  * Revert "sched, cgroup: replace signal_struct->group_rwsem with a global
    percpu_rwsem"
    - LP: #1509886
  * Revert "ARM64: unwind: Fix PC calculation"
    - LP: #1514889
  * Revert "serial: 8250_dma: don't bother DMA with small transfers"
    - LP: #1514889
  * Revert "md: allow a partially recovered device to be hot-added to an
    array."
    - LP: #1514889
  * arm64: Change memcpy in kernel to use the copy template file
    - LP: #1508471
  * arm64: copy_to-from-in_user optimization using copy template
    - LP: #1508471
  * Input: elan_i2c - enable ELAN0600 acpi panels
    - LP: #1439111
  * e1000e: Fix tight loop implementation of systime read algorithm
  * arm: KVM: Fix incorrect device to IPA mapping
    - LP: #1509886
  * KVM: vmx: fix VPID is 0000H in non-root operation
    - LP: #1509886
  * kvm: don't try to register to KVM_FAST_MMIO_BUS for non mmio eventfd
    - LP: #1509886
  * kvm: fix zero length mmio searching
    - LP: #1509886
  * kvm: factor out core eventfd assign/deassign logic
    - LP: #1509886
  * kvm: fix double free for fast mmio eventfd
    - LP: #1509886
  * arm: KVM: Disable virtual timer even if the guest is not using it
    - LP: #1509886
  * kvm: svm: reset mmu on VCPU reset
    - LP: #1509886
  * KVM: x86: trap AMD MSRs for the TSeg base and mask
    - LP: #1509886
  * KVM: PPC: Book3S: Take the kvm->srcu lock in
    kvmppc_h_logical_ci_load/store()
    - LP: #1509886
  * KVM: PPC: Book3S HV: Pass the correct trap argument to
    kvmhv_commence_exit
    - LP: #1509886
  * time: Fix timekeeping_freqadjust()'s incorrect use of abs() instead of
    abs64()
    - LP: #1509886
  * target/iscsi: Fix np_ip bracket issue by removing np_ip
    - LP: #1509886
  * scsi: fix scsi_error_handler vs. scsi_host_dev_release race
    - LP: #1509886
  * target: Attach EXTENDED_COPY local I/O descriptors to xcopy_pt_sess
    - LP: #1509886
  * target: Fix PR registration + APTPL RCU conversion regression
    - LP: #1509886
  * iser-target: remove command with state ISTATE_REMOVE
    - LP: #1509886
  * iser-target: Put the reference on commands waiting for unsol data
    - LP: #1509886
  * toshiba_acpi: Fix hotkeys registration on some toshiba models
    - LP: #1509...

Changed in linux-raspi2 (Ubuntu Wily):
status: Invalid → Fix Released
status: Invalid → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (6.0 KiB)

This bug was fixed in the package linux-armadaxp - 3.2.0-1660.84

---------------
linux-armadaxp (3.2.0-1660.84) precise; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1521448
  * Rebase to Ubuntu-3.2.0-96.136

  [ Ubuntu: 3.2.0-96.136 ]

  * Release Tracking Bug
    - LP: #1521325
  * [Packaging] control -- make element ordering deterministic
    - LP: #1516686
  * [Packaging] control -- prepare for new kernel-wedge semantics
    - LP: #1516686
  * Revert "KVM: x86: vmx: avoid guest->host DOS by intercepting #AC"
  * Revert "KVM: MMU: fix validation of mmio page fault"
    - LP: #1520200
  * module: Fix locking in symbol_put_addr()
    - LP: #1520200
  * regmap: debugfs: Ensure we don't underflow when printing access masks
    - LP: #1520200
  * regmap: debugfs: Don't bother actually printing when calculating max
    length
    - LP: #1520200
  * ath9k: declare required extra tx headroom
    - LP: #1520200
  * m68k: Define asmlinkage_protect
    - LP: #1520200
  * x86/xen: Do not clip xen_e820_map to xen_e820_map_entries when
    sanitizing map
    - LP: #1520200
  * UBI: Validate data_size
    - LP: #1520200
  * UBI: return ENOSPC if no enough space available
    - LP: #1520200
  * MIPS: dma-default: Fix 32-bit fall back to GFP_DMA
    - LP: #1520200
  * x86/process: Add proper bound checks in 64bit get_wchan()
    - LP: #1520200
  * genirq: Fix race in register_irq_proc()
    - LP: #1520200
  * mm: hugetlbfs: skip shared VMAs when unmapping private pages to satisfy
    a fault
    - LP: #1520200
  * Do not fall back to SMBWriteX in set_file_size error cases
    - LP: #1520200
  * md/raid0: update queue parameter in a safer location.
    - LP: #1520200
  * md/raid0: apply base queue limits *before* disk_stack_limits
    - LP: #1520200
  * clocksource: Fix abs() usage w/ 64bit values
    - LP: #1520200
  * iio: accel: sca3000: memory corruption in sca3000_read_first_n_hw_rb()
    - LP: #1520200
  * USB: Add reset-resume quirk for two Plantronics usb headphones.
    - LP: #1520200
  * usb: Add device quirk for Logitech PTZ cameras
    - LP: #1520200
  * tty: fix stall caused by missing memory barrier in drivers/tty/n_tty.c
    - LP: #1520200
  * drivers/tty: require read access for controlling terminal
    - LP: #1520200
  * ppp: don't override sk->sk_state in pppoe_flush_dev()
    - LP: #1520200
  * iwlwifi: dvm: fix D3 firmware PN programming
    - LP: #1520200
  * ALSA: synth: Fix conflicting OSS device registration on AWE32
    - LP: #1520200
  * sched/core: Fix TASK_DEAD race in finish_task_switch()
    - LP: #1520200
  * 3w-9xxx: don't unmap bounce buffered commands
    - LP: #1520200
  * xen-blkfront: check for null drvdata in blkback_changed
    (XenbusStateClosing)
    - LP: #1520200
  * ALSA: hda - Fix inverted internal mic on Lenovo G50-80
    - LP: #1504778, #1520200
  * crypto: ahash - ensure statesize is non-zero
    - LP: #1520200
  * iommu/vt-d: fix range computation when making room for large pages
    - LP: #1520200
  * xhci: don't finish a TD if we get a short transfer event mid TD
    - LP: #1520200
  * xhci: handle no ping response error properly
    - LP: #1520200
  * xhci: Switch Intel Lynx Point LP ...

Read more...

Changed in linux-armadaxp (Ubuntu Precise):
status: Invalid → Fix Released
status: Invalid → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (6.2 KiB)

This bug was fixed in the package linux-ti-omap4 - 3.2.0-1475.97

---------------
linux-ti-omap4 (3.2.0-1475.97) precise; urgency=low

  * Release Tracking Bug
    - LP: #1521445

  [ Luis Henriques ]

  * rebased on Ubuntu-3.2.0-96.136

  [ Ubuntu: 3.2.0-96.136 ]

  * Release Tracking Bug
    - LP: #1521325
  * [Packaging] control -- make element ordering deterministic
    - LP: #1516686
  * [Packaging] control -- prepare for new kernel-wedge semantics
    - LP: #1516686
  * Revert "KVM: x86: vmx: avoid guest->host DOS by intercepting #AC"
  * Revert "KVM: MMU: fix validation of mmio page fault"
    - LP: #1520200
  * module: Fix locking in symbol_put_addr()
    - LP: #1520200
  * regmap: debugfs: Ensure we don't underflow when printing access masks
    - LP: #1520200
  * regmap: debugfs: Don't bother actually printing when calculating max
    length
    - LP: #1520200
  * ath9k: declare required extra tx headroom
    - LP: #1520200
  * m68k: Define asmlinkage_protect
    - LP: #1520200
  * x86/xen: Do not clip xen_e820_map to xen_e820_map_entries when
    sanitizing map
    - LP: #1520200
  * UBI: Validate data_size
    - LP: #1520200
  * UBI: return ENOSPC if no enough space available
    - LP: #1520200
  * MIPS: dma-default: Fix 32-bit fall back to GFP_DMA
    - LP: #1520200
  * x86/process: Add proper bound checks in 64bit get_wchan()
    - LP: #1520200
  * genirq: Fix race in register_irq_proc()
    - LP: #1520200
  * mm: hugetlbfs: skip shared VMAs when unmapping private pages to satisfy
    a fault
    - LP: #1520200
  * Do not fall back to SMBWriteX in set_file_size error cases
    - LP: #1520200
  * md/raid0: update queue parameter in a safer location.
    - LP: #1520200
  * md/raid0: apply base queue limits *before* disk_stack_limits
    - LP: #1520200
  * clocksource: Fix abs() usage w/ 64bit values
    - LP: #1520200
  * iio: accel: sca3000: memory corruption in sca3000_read_first_n_hw_rb()
    - LP: #1520200
  * USB: Add reset-resume quirk for two Plantronics usb headphones.
    - LP: #1520200
  * usb: Add device quirk for Logitech PTZ cameras
    - LP: #1520200
  * tty: fix stall caused by missing memory barrier in drivers/tty/n_tty.c
    - LP: #1520200
  * drivers/tty: require read access for controlling terminal
    - LP: #1520200
  * ppp: don't override sk->sk_state in pppoe_flush_dev()
    - LP: #1520200
  * iwlwifi: dvm: fix D3 firmware PN programming
    - LP: #1520200
  * ALSA: synth: Fix conflicting OSS device registration on AWE32
    - LP: #1520200
  * sched/core: Fix TASK_DEAD race in finish_task_switch()
    - LP: #1520200
  * 3w-9xxx: don't unmap bounce buffered commands
    - LP: #1520200
  * xen-blkfront: check for null drvdata in blkback_changed
    (XenbusStateClosing)
    - LP: #1520200
  * ALSA: hda - Fix inverted internal mic on Lenovo G50-80
    - LP: #1504778, #1520200
  * crypto: ahash - ensure statesize is non-zero
    - LP: #1520200
  * iommu/vt-d: fix range computation when making room for large pages
    - LP: #1520200
  * xhci: don't finish a TD if we get a short transfer event mid TD
    - LP: #1520200
  * xhci: handle no ping response error properly
    - LP: #1520200
  * xhci: Switch Intel Lynx Po...

Read more...

Changed in linux-ti-omap4 (Ubuntu Precise):
status: Invalid → Fix Released
status: Invalid → Fix Released
Steve Beattie (sbeattie) on 2016-02-11
Changed in linux-lts-xenial (Ubuntu Precise):
status: New → Invalid
importance: Undecided → High
Changed in linux-lts-xenial (Ubuntu Wily):
status: New → Invalid
importance: Undecided → High
Changed in linux-lts-xenial (Ubuntu Xenial):
status: New → Invalid
importance: Undecided → High
Changed in linux-lts-xenial (Ubuntu Trusty):
status: New → Fix Committed
importance: Undecided → High
Steve Beattie (sbeattie) on 2016-05-05
Changed in linux-snapdragon (Ubuntu Precise):
status: New → Invalid
importance: Undecided → High
Changed in linux-snapdragon (Ubuntu Wily):
status: New → Invalid
importance: Undecided → High
Changed in linux-snapdragon (Ubuntu Xenial):
status: New → Invalid
importance: Undecided → High
Changed in linux-snapdragon (Ubuntu Yakkety):
status: New → Invalid
importance: Undecided → High
Changed in linux-snapdragon (Ubuntu Trusty):
status: New → Invalid
importance: Undecided → High

This bug was nominated against a series that is no longer supported, ie vivid. The bug task representing the vivid nomination is being closed as Won't Fix.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux-goldfish (Ubuntu Vivid):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers